package com.gic.spark.filter;

import com.gic.spark.datasource.entity.DataSourceEntity;
import com.gic.spark.datasource.entity.DataSourceSharding;
import com.gic.spark.entity.request.FilterRequest;
import org.apache.spark.api.java.JavaRDD;

import java.util.ArrayList;
import java.util.List;

/**
 * @description:
 * @author: wangxk
 * @date: 2020/4/24
 */
public class TagAboutExpireIntegralFilter implements BaseTagFilter{

    private DataSourceSharding memberSharding=new DataSourceSharding("member_sharding_4.0_test","tab_integral_cu_change_log");
    private static TagAboutExpireIntegralFilter instance;

    public static TagAboutExpireIntegralFilter getInstance() {
        if(null==instance){
            instance=new TagAboutExpireIntegralFilter();
        }
        return instance;
    }

    private TagAboutExpireIntegralFilter(){}
    @Override
    public List<DataSourceEntity> necessarySourceList() {
        List<DataSourceEntity> result = new ArrayList();
        result.add(memberSharding);
        return result;
    }

    @Override
    public JavaRDD<Integer> filterValidMember(Integer enterpriseId, FilterRequest filterOption) {


        return null;
    }
}
